// Code to get Ace colors
Alloy.Globals.COLORS = require("util/Colors").getAceColors();


/**
 * @Description: Function to check for null, undefeined,empty DATA
 * @visibility: public
 * @params: data
 * @return: returns boolean true/false
 */
function isNullUndefinedEmpty(data) {
	if (!_.isNull(data) && !_.isUndefined(data) && !_.isEmpty(data)) {
		return false;
	} else {
		return true;
	}
}

/**
 * @Description: Function to check for null, undefeined,empty DATA
 * @visibility: public
 * @params: data
 * @return: returns boolean true/false
 */

function customTrimCheck(data) {
	if ( typeof data === "string") {
		return data.trim();
	} else {
		return data;
	}
}

/**
 * @Description: Function to check for null, undefeined,empty DATA for integer numbers
 * @visibility: public
 * @params: data
 * @return: returns boolean true/false
 */
function isNullUndefinedEmptyInt(data) {
	if (null !== data && undefined !== data && "" !== data) {
		return false;
	} else {
		return true;
	}
}


setFontForCountry();
/**
 * @Description: The following method checks the country and selects the primary font corresponding to that country.
 * @visibility: public
 * @params: null
 * @return: null
 */
function setFontForCountry() {

		Alloy.Globals.primaryFont = L("regularFont");
		Alloy.Globals.primaryFontBold = L("boldFont");
		Alloy.Globals.arial = L("arial");
		Alloy.Globals.arialBold = L("arialBold");
		Alloy.Globals.gothamBook = L("gothamBook");
		Alloy.Globals.gothamBold = L("gothamBold");
		Alloy.Globals.sbopBold = L("sbopBold");
		Alloy.Globals.sbopRoman = L("sbopRoman");
		Alloy.Globals.sbopRegular = L("sbopRegular");
		Alloy.Globals.notoSans = L("primaryFont");
		Alloy.Globals.notoSansBold = L("primaryFontBold");

}

function stringWithoutLineBreaks(str) {
	return str.replace(/(\r\n|\n|\r)/gm, " ");
}

Alloy.Globals.DOWNLOAD_STACK = [];
Alloy.Globals.SUBCATLIST = [];
Alloy.Globals.CPM_COUNTRY_BASED_JSON_LIST = null;
Alloy.Globals.NOTE_COUNT = null;
Alloy.Globals.NOTE_MODELS = [];
Alloy.Globals.SELECTED_DELETED_NOTE = null;
// Get selected tab
Alloy.Globals.SELECTED_CUSTOMER_TAB_NUM = null;

var masterData = getMasterData("masterData");

function getMasterData(name){
	var file = Ti.Filesystem.getFile(Ti.Filesystem.resourcesDirectory, name + '.json');
	var data = null;
	if (file.exists()) {
  		var dataSrc = Ti.Platform.osname === 'android' ? ''+file.read() : file.read();
  		data = JSON.parse(dataSrc);
  	}
  	return data;
}

var raju = new Date().getTime(); 