// Arguments passed into this controller can be accessed via the `$.args` object directly or:
var args = $.args;

function init() {
    console.log(JSON.stringify(args, null, 4));
    populate(args.question.options);
}
init();

function populate(options) {
    if(args.question.fieldValues){
    	var ddOptions = require("util/QnIUtils").getDropdownOptions(args.question.fieldValues);
    	console.log("ddOptions="+JSON.stringify(ddOptions));
    	for (var i=0; i<ddOptions.length; i++) {
	        $.tableView.appendRow(Ti.UI.createTableViewRow({title: ddOptions[i].displayValueLang1,code: ddOptions[i].value, color: 'black'}));
	    }
    }
}

$.tableView.addEventListener("click", function(e){
    args.question.title = e.row.title;
    args.question.value = e.row.code;
    console.log("args.question.title="+args.question.title + "args.question.value="+args.question.value);
    console.log("args.question.title="+JSON.stringify(args.question));
    args.callback(args.sectionIndex, args.itemIndex, args.question);
});
